#pragma once
#include "usbd.h"
#pragma diag_suppress 2827	// override is C++11

namespace usb{
struct tHIDMouseDevice:public tDevice{
  bool StateChange(uint8_t ui8Buttons, int8_t i8DeltaX,int8_t i8DeltaY);
private:
  bool SendReport(uint8_t *pi8Data, unsigned len);	// hier: len <= 64!
  uint8_t inrep[3];
  virtual bool cbRequestHandler(const tRequest&) override;
  virtual bool cbGetDescriptor(const tRequest&rq) override;
};
}
